<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:18                                      */
/****************************************************************/


/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

@require_once('source/languages.php');
@require_once('source/products_description.php');
@require_once('source/products.php');

$jezyk = languages::Szukaj2($_POST['lang'], $db->Conn);

$produkty = new products();
$produkty->Conn = $db->Conn;
$produkty->products_model =  $_POST['p_PN'];

$opis = new products_description();
$opis->Conn = $db->Conn;

$opis->products_id=$produkty->Sprawdz();

$opis->language_id=$jezyk;
$opis->products_name=str_replace('::amp::', '&', stripslashes($_POST['name']));
$opis->products_description='';
$opis->products_short_description = '';
$opis->products_url='';
$opis->products_viewed=1;


$jest = $opis->Szukaj();

if($jezyk > 0 && $opis->products_id> 0 && $jest==0 && $opis->Dodaj())
{
        echo '<msg>Wersja jezykowa dodana</msg>';
}
elseif($jezyk > 0 && $opis->products_id> 0 && $jest>0 && $opis->Zmien2())
{
        echo '<msg>Wersja jezykowa zmieniona</msg>';
}
elseif($jezyk > 0 && $opis->products_id==0)
{
    echo '<error>Brak produktu</error>';
}
elseif($jezyk ==0)
{
    echo '<error>Brak języka</error>';
}
else
{
       print_r($opis->errMsg);
        echo '<error>Wersja jezykowa błąd</error>';
}

//print_r($_POST);

?>
